Description

group_list in ldap_fluff returns a list of lowercase LDAP GIDs. 

https://github.com/theforeman/ldap_fluff/blob/master/lib/ldap_fluff/generic_member_service.rb#L56

When foreman tries to run update_usergroups to refresh the external user groups, it will try to match these lowercase gids with

external user group names. However, we don't enforce external user group names to be lowercase. If an external user group

contains any capital letter, it will not be synced as it will not match the lowercase GID.

Related issues:

Related to Foreman - Bug #7355: External groups not updated when user created... New 09/04/2014

Associated revisions

Revision 33d7500a - 09/03/2015 07:54 AM - Daniel Lobato Garcia

Fixes #11428 - External user groups refresh shouldn't be case sensitive

group_list in ldap_fluff returns a list of lowercase LDAP GIDs.

When AuthSourceLdap tries to run update_usergroups to refresh the external

user groups, it will try to match these lowercase gids with external user

group names.

However, we don't enforce external user group names to be lowercase.

If an external user group contains any capital letter, it will not be

synced as it will not match the lowercase GID.

This commit makes sure we search for external groups case insensitive,

so we can match LDAP GIDs with external groups names.

Revision e5e62175 - 09/09/2015 10:59 AM - Daniel Lobato Garcia

Fixes #11428 - External user groups refresh shouldn't be case sensitive

group_list in ldap_fluff returns a list of lowercase LDAP GIDs.

When AuthSourceLdap tries to run update_usergroups to refresh the external

user groups, it will try to match these lowercase gids with external user

group names.

However, we don't enforce external user group names to be lowercase.

If an external user group contains any capital letter, it will not be

synced as it will not match the lowercase GID.

This commit makes sure we search for external groups case insensitive,

so we can match LDAP GIDs with external groups names.

(cherry picked from commit 33d7500a8d3148b6877d630a72f598f4be06b423)

History

#1 - 08/19/2015 07:45 AM - Daniel Lobato Garcia

- Related to Bug #7355: External groups not updated when user created on the fly added
https://github.com/theforeman/ldap_fluff/blob/master/lib/ldap_fluff/generic_member_service.rb#L56


#2 - 08/19/2015 10:57 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2621 added

- Pull request deleted ()

#3 - 09/03/2015 07:54 AM - Dominic Cleal

- translation missing: en.field_release set to 72

#4 - 09/03/2015 08:01 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 33d7500a8d3148b6877d630a72f598f4be06b423.

#5 - 09/16/2015 10:48 AM - Bryan Kearney

- Bugzilla link set to 1238442
